package com.app.camel.routes;

import org.apache.camel.builder.RouteBuilder;
import org.springframework.stereotype.Component;

import com.app.camel.stuffs.TransactionMessageTranslator;

@Component
public class DBMonitorRouteBuilder extends RouteBuilder {

	@Override
	public void configure() throws Exception {
		from(
				"jpa:com.app.entities.Test?consumer.initialDelay=100&consumer.delay=30000&persistenceUnit=monitoringPU")
				.process(
						new TransactionMessageTranslator()).setHeader(
						"processID", constant("JMSTriggerTestModelProcess"))
				.to("jms:queue:CarnotApplicationQueue?jmsMessageType=Object");
	}
}
